import { navigation } from "@/fixtures/app-navigation";
import { NavigationProvider } from "@/context/navigation";
import SideNavOuterToolbar from "@/components/side-nav-outer-toolbar/SideNavOuterToolbar";
import ToolbarAnalytics from "@/components/toolbar-analytics/ToolbarAnalytics";
import PsDataGrid from "@/components/dataGrid/Datagrid";
import {
  DataGridRawData,
  allowedPageSizes,
  columns,
} from "@/fixtures/dataGrid";
import PsAccordion from "@/components/accordion/Accordion";
import { companies } from "@/fixtures/accordion";
import { CustomItem } from "@/components/accordion/UIComponent";
import PsMenu from "@/components/menu/Menu";
import { MenuRawdata } from "@/fixtures/menu";
import PsButton from "@/components/button/Button";
export default function MiddleWare() {
  return (
    <SideNavOuterToolbar navigation={navigation} title={"Polaris"}>
      <ToolbarAnalytics title={"Demo"} />
      <PsDataGrid
        columns={columns}
        dataSource={DataGridRawData}
        allowedPageSizes={allowedPageSizes}
        defaultPageSize={5}
        showPagiNation={true}
      />
      <PsButton text="Click Me" onClick={() => console.log("Button Clicked")} />  
      <PsAccordion dataSource={companies} Component={CustomItem} />
      <PsMenu onItemClick={(e: any) => console.log(e)} data={MenuRawdata} />
    </SideNavOuterToolbar>
  );
}
